import { Dimensions, FlatList, StyleSheet, Text, View } from 'react-native'
import React, { useEffect, useRef } from 'react'
import ItemList from './ItemList'

const EVListView = ({placeList}) => {
  const flatListRef = useRef(null);

  useEffect(() => {
    //scrollToIndex();
  }, [])

  const scrollToIndex = (index) => {
    flatListRef.current?.scrollToIndex({animated: true, index})
  }

  const getItemLayout = (_,index) => ({
    length: Dimensions.get('window').width,
    offset: Dimensions.get('window').width*index,
    index
  });

  return (
    <View>
      <FlatList horizontal={true}
        getItemLayout={getItemLayout}
        data={placeList} 
        showsHorizontalScrollIndicator={false} 
        ref={flatListRef}
        renderItem={({item, index}) => (
          <View key={index}>
            <ItemList place={item}/>
          </View>
        )}
      />
    </View>
  )
}

export default EVListView

const styles = StyleSheet.create({})